import React from 'react';
interface BufferConfig {
    initialValue: string;
}
interface BufferApi {
    clear: () => void;
    reset: () => void;
    update: (value: string) => void;
    value: string;
}
interface Props extends BufferConfig {
    children?: React.ReactNode;
}
interface RenderProps extends BufferConfig {
    children: (props: BufferApi) => {};
}
/**
 * @deprecatedSince 9.7.0
 * @deprecated A trivial hook for storing a string. Write your own or use a hook utility lib.
 *
 * **Source:**
 * ```
  export function useBuffer({ initialValue = '' }) {
  const [value, setValue] = React.useState(initialValue)

  const clear = () => setValue('')

  const reset = () => setValue(initialValue)

  const update = (value: string) => setValue(value)

  return {
    clear,
    reset,
    update,
    value,
  }
}
```
 */
export declare function useBuffer({ initialValue }: BufferConfig): BufferApi;
/**
 * @deprecatedSince 9.7.0
 * @deprecated
 */
export declare function Buffer({ children, ...props }: RenderProps): {};
/**
 * @deprecatedSince 9.7.0
 * @deprecated
 */
export declare const BufferContext: React.Context<BufferApi>;
/**
 * @deprecatedSince 9.7.0
 * @deprecated
 */
export declare function BufferProvider({ children, ...props }: Props): JSX.Element;
/**
 * @deprecatedSince 9.7.0
 * @deprecated
 */
export declare function useBufferContext(): BufferApi;
export {};
